Package org.springframework.context.annotation

# Interface ConditionContext

public interface ConditionContext
Context information for use by `Condition` implementations.

Since:
  4.0
Author:
  Phillip Webb, Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.ConfigurableListableBeanFactory`
`getBeanFactory()`
Return the `ConfigurableListableBeanFactory` that will hold the bean definition should the condition match, or `null` if the bean factory is not available (or not downcastable to `ConfigurableListableBeanFactory`).
`ClassLoader`
`getClassLoader()`
Return the `ClassLoader` that should be used to load additional classes (only `null` if even the system ClassLoader isn't accessible).
`org.springframework.core.env.Environment`
`getEnvironment()`
Return the `Environment` for which the current application is running.
`org.springframework.beans.factory.support.BeanDefinitionRegistry`
`getRegistry()`
Return the `BeanDefinitionRegistry` that will hold the bean definition should the condition match.
`org.springframework.core.io.ResourceLoader`
`getResourceLoader()`
Return the `ResourceLoader` currently being used.

## Method Details

### getRegistry

org.springframework.beans.factory.support.BeanDefinitionRegistry getRegistry()
Return the `BeanDefinitionRegistry` that will hold the bean definition should the condition match.

Throws:
  `IllegalStateException` - if no registry is available (which is unusual: only the case with a plain `ClassPathScanningCandidateComponentProvider`)

### getBeanFactory

@Nullable org.springframework.beans.factory.config.ConfigurableListableBeanFactory getBeanFactory()
Return the `ConfigurableListableBeanFactory` that will hold the bean definition should the condition match, or `null` if the bean factory is not available (or not downcastable to `ConfigurableListableBeanFactory`).

### getEnvironment

org.springframework.core.env.Environment getEnvironment()
Return the `Environment` for which the current application is running.

### getResourceLoader

org.springframework.core.io.ResourceLoader getResourceLoader()
Return the `ResourceLoader` currently being used.

### getClassLoader

@Nullable ClassLoader getClassLoader()
Return the `ClassLoader` that should be used to load additional classes (only `null` if even the system ClassLoader isn't accessible).

See Also:
  - `ClassUtils.forName(String, ClassLoader)`